Class List Method List File List

# Module: WpVersion::Output

Included in:
  WpVersion
Defined in:
  lib/common/models/wp_version/output.rb

## Instance Method Summary (collapse)

- - (Object) output

## Instance Method Details

### - (`Object`) output

    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    # File 'lib/common/models/wp_version/output.rb', line 6

    def output
      puts green('[+]') + " WordPress version #{self.number} identified from #{self.found_from}"

      vulnerabilities = self.vulnerabilities

      unless vulnerabilities.empty?
        puts
        puts red('[!]') + " We have identified #{vulnerabilities.size} vulnerabilities from the version number :"

        vulnerabilities.output
      end
    end